Package org.eclipse.rdf4j.model.vocabulary

## Class PROV

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.PROV

-     public class PROV
      extends Object

  Constants for the Provenance Ontology.
  Author:
    Bart Hanssens
  See Also:
    Provenance Ontology

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `ACCEPT` | prov:Accept
    `static IRI` | `ACTED_ON_BEHALF_OF` | prov:actedOnBehalfOf
    `static IRI` | `ACTIVITY` | prov:Activity
    `static IRI` | `ACTIVITY_INFLUENCE` | prov:ActivityInfluence
    `static IRI` | `ACTIVITY_PROP` | prov:activity
    `static IRI` | `AGENT` | prov:Agent
    `static IRI` | `AGENT_INFLUENCE` | prov:AgentInfluence
    `static IRI` | `AGENT_PROP` | prov:agent
    `static IRI` | `ALTERNATE_OF` | prov:alternateOf
    `static IRI` | `AS_IN_BUNDLE` | prov:asInBundle
    `static IRI` | `ASSOCIATION` | prov:Association
    `static IRI` | `AT_LOCATION` | prov:atLocation
    `static IRI` | `AT_TIME` | prov:atTime
    `static IRI` | `ATTRIBUTION` | prov:Attribution
    `static IRI` | `BUNDLE` | prov:Bundle
    `static IRI` | `COLLECTION` | prov:Collection
    `static IRI` | `COMMUNICATION` | prov:Communication
    `static IRI` | `CONTRIBUTE` | prov:Contribute
    `static IRI` | `CONTRIBUTOR` | prov:Contributor
    `static IRI` | `COPYRIGHT` | prov:Copyright
    `static IRI` | `CREATE` | prov:Create
    `static IRI` | `CREATOR` | prov:Creator
    `static IRI` | `DELEGATION` | prov:Delegation
    `static IRI` | `DERIVATION` | prov:Derivation
    `static IRI` | `DERIVED_BY_INSERTION_FROM` | prov:derivedByInsertionFrom
    `static IRI` | `DERIVED_BY_REMOVAL_FROM` | prov:derivedByRemovalFrom
    `static IRI` | `DESCRIBES_SERVICE` | prov:describesService
    `static IRI` | `DICTIONARY` | prov:Dictionary
    `static IRI` | `DICTIONARY_PROP` | prov:dictionary
    `static IRI` | `DIRECT_QUERY_SERVICE` | prov:DirectQueryService
    `static IRI` | `EMPTY_COLLECTION` | prov:EmptyCollection
    `static IRI` | `EMPTY_DICTIONARY` | prov:EmptyDictionary
    `static IRI` | `END` | prov:End
    `static IRI` | `ENDED_AT_TIME` | prov:endedAtTime
    `static IRI` | `ENTITY` | prov:Entity
    `static IRI` | `ENTITY_INFLUENCE` | prov:EntityInfluence
    `static IRI` | `ENTITY_PROP` | prov:entity
    `static IRI` | `GENERATED` | prov:generated
    `static IRI` | `GENERATED_AT_TIME` | prov:generatedAtTime
    `static IRI` | `GENERATION` | prov:Generation
    `static IRI` | `HAD_ACTIVITY` | prov:hadActivity
    `static IRI` | `HAD_DICTIONARY_MEMBER` | prov:hadDictionaryMember
    `static IRI` | `HAD_GENERATION` | prov:hadGeneration
    `static IRI` | `HAD_MEMBER` | prov:hadMember
    `static IRI` | `HAD_PLAN` | prov:hadPlan
    `static IRI` | `HAD_PRIMARY_SOURCE` | prov:hadPrimarySource
    `static IRI` | `HAD_ROLE` | prov:hadRole
    `static IRI` | `HAD_USAGE` | prov:hadUsage
    `static IRI` | `HAS_ANCHOR` | prov:has_anchor
    `static IRI` | `HAS_PROVENANCE` | prov:has_provenance
    `static IRI` | `HAS_QUERY_SERVICE` | prov:has_query_service
    `static IRI` | `INFLUENCE` | prov:Influence
    `static IRI` | `INFLUENCED` | prov:influenced
    `static IRI` | `INFLUENCER` | prov:influencer
    `static IRI` | `INSERTED_KEY_ENTITY_PAIR` | prov:insertedKeyEntityPair
    `static IRI` | `INSERTION` | prov:Insertion
    `static IRI` | `INSTANTANEOUS_EVENT` | prov:InstantaneousEvent
    `static IRI` | `INVALIDATED` | prov:invalidated
    `static IRI` | `INVALIDATED_AT_TIME` | prov:invalidatedAtTime
    `static IRI` | `INVALIDATION` | prov:Invalidation
    `static IRI` | `KEY_ENTITY_PAIR` | prov:KeyEntityPair
    `static IRI` | `LOCATION` | prov:Location
    `static IRI` | `MENTION_OF` | prov:mentionOf
    `static IRI` | `MODIFY` | prov:Modify
    `static String` | `NAMESPACE` | The PROV-O namespace: http://www.w3.org/ns/prov#
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the namespace.
    `static IRI` | `ORGANIZATION` | prov:Organization
    `static IRI` | `PAIR_ENTITY` | prov:pairEntity
    `static IRI` | `PAIR_KEY` | prov:pairKey
    `static IRI` | `PERSON` | prov:Person
    `static IRI` | `PINGBACK` | prov:pingback
    `static IRI` | `PLAN` | prov:Plan
    `static String` | `PREFIX` | Recommended prefix for the namespace: "prov"
    `static IRI` | `PRIMARY_SOURCE` | prov:PrimarySource
    `static IRI` | `PROVENANCE_URI_TEMPLATE` | prov:provenanceUriTemplate
    `static IRI` | `PUBLISH` | prov:Publish
    `static IRI` | `PUBLISHER` | prov:Publisher
    `static IRI` | `QUALIFIED_ASSOCIATION` | prov:qualifiedAssociation
    `static IRI` | `QUALIFIED_ATTRIBUTION` | prov:qualifiedAttribution
    `static IRI` | `QUALIFIED_COMMUNICATION` | prov:qualifiedCommunication
    `static IRI` | `QUALIFIED_DELEGATION` | prov:qualifiedDelegation
    `static IRI` | `QUALIFIED_DERIVATION` | prov:qualifiedDerivation
    `static IRI` | `QUALIFIED_END` | prov:qualifiedEnd
    `static IRI` | `QUALIFIED_GENERATION` | prov:qualifiedGeneration
    `static IRI` | `QUALIFIED_INFLUENCE` | prov:qualifiedInfluence
    `static IRI` | `QUALIFIED_INSERTION` | prov:qualifiedInsertion
    `static IRI` | `QUALIFIED_INVALIDATION` | prov:qualifiedInvalidation
    `static IRI` | `QUALIFIED_PRIMARY_SOURCE` | prov:qualifiedPrimarySource
    `static IRI` | `QUALIFIED_QUOTATION` | prov:qualifiedQuotation
    `static IRI` | `QUALIFIED_REMOVAL` | prov:qualifiedRemoval
    `static IRI` | `QUALIFIED_REVISION` | prov:qualifiedRevision
    `static IRI` | `QUALIFIED_START` | prov:qualifiedStart
    `static IRI` | `QUALIFIED_USAGE` | prov:qualifiedUsage
    `static IRI` | `QUOTATION` | prov:Quotation
    `static IRI` | `REMOVAL` | prov:Removal
    `static IRI` | `REMOVED_KEY` | prov:removedKey
    `static IRI` | `REPLACE` | prov:Replace
    `static IRI` | `REVISION` | prov:Revision
    `static IRI` | `RIGHTS_ASSIGNMENT` | prov:RightsAssignment
    `static IRI` | `RIGHTS_HOLDER` | prov:RightsHolder
    `static IRI` | `ROLE` | prov:Role
    `static IRI` | `SERVICE_DESCRIPTION` | prov:ServiceDescription
    `static IRI` | `SOFTWARE_AGENT` | prov:SoftwareAgent
    `static IRI` | `SPECIALIZATION_OF` | prov:specializationOf
    `static IRI` | `START` | prov:Start
    `static IRI` | `STARTED_AT_TIME` | prov:startedAtTime
    `static IRI` | `SUBMIT` | prov:Submit
    `static IRI` | `USAGE` | prov:Usage
    `static IRI` | `USED` | prov:used
    `static IRI` | `VALUE` | prov:value
    `static IRI` | `WAS_ASSOCIATED_WITH` | prov:wasAssociatedWith
    `static IRI` | `WAS_ATTRIBUTED_TO` | prov:wasAttributedTo
    `static IRI` | `WAS_DERIVED_FROM` | prov:wasDerivedFrom
    `static IRI` | `WAS_ENDED_BY` | prov:wasEndedBy
    `static IRI` | `WAS_GENERATED_BY` | prov:wasGeneratedBy
    `static IRI` | `WAS_INFLUENCED_BY` | prov:wasInfluencedBy
    `static IRI` | `WAS_INFORMED_BY` | prov:wasInformedBy
    `static IRI` | `WAS_INVALIDATED_BY` | prov:wasInvalidatedBy
    `static IRI` | `WAS_QUOTED_FROM` | prov:wasQuotedFrom
    `static IRI` | `WAS_REVISION_OF` | prov:wasRevisionOf
    `static IRI` | `WAS_STARTED_BY` | prov:wasStartedBy

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PROV()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The PROV-O namespace: http://www.w3.org/ns/prov#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the namespace: "prov"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the namespace.

    - #### ACCEPT

          public static final IRI ACCEPT

      prov:Accept

    - #### ACTIVITY

          public static final IRI ACTIVITY

      prov:Activity

    - #### ACTIVITY_INFLUENCE

          public static final IRI ACTIVITY_INFLUENCE

      prov:ActivityInfluence

    - #### AGENT

          public static final IRI AGENT

      prov:Agent

    - #### AGENT_INFLUENCE

          public static final IRI AGENT_INFLUENCE

      prov:AgentInfluence

    - #### ASSOCIATION

          public static final IRI ASSOCIATION

      prov:Association

    - #### ATTRIBUTION

          public static final IRI ATTRIBUTION

      prov:Attribution

    - #### BUNDLE

          public static final IRI BUNDLE

      prov:Bundle

    - #### COLLECTION

          public static final IRI COLLECTION

      prov:Collection

    - #### COMMUNICATION

          public static final IRI COMMUNICATION

      prov:Communication

    - #### CONTRIBUTE

          public static final IRI CONTRIBUTE

      prov:Contribute

    - #### CONTRIBUTOR

          public static final IRI CONTRIBUTOR

      prov:Contributor

    - #### COPYRIGHT

          public static final IRI COPYRIGHT

      prov:Copyright

    - #### CREATE

          public static final IRI CREATE

      prov:Create

    - #### CREATOR

          public static final IRI CREATOR

      prov:Creator

    - #### DELEGATION

          public static final IRI DELEGATION

      prov:Delegation

    - #### DERIVATION

          public static final IRI DERIVATION

      prov:Derivation

    - #### DICTIONARY

          public static final IRI DICTIONARY

      prov:Dictionary

    - #### DIRECT_QUERY_SERVICE

          public static final IRI DIRECT_QUERY_SERVICE

      prov:DirectQueryService

    - #### EMPTY_COLLECTION

          public static final IRI EMPTY_COLLECTION

      prov:EmptyCollection

    - #### EMPTY_DICTIONARY

          public static final IRI EMPTY_DICTIONARY

      prov:EmptyDictionary

    - #### END

          public static final IRI END

      prov:End

    - #### ENTITY

          public static final IRI ENTITY

      prov:Entity

    - #### ENTITY_INFLUENCE

          public static final IRI ENTITY_INFLUENCE

      prov:EntityInfluence

    - #### GENERATION

          public static final IRI GENERATION

      prov:Generation

    - #### INFLUENCE

          public static final IRI INFLUENCE

      prov:Influence

    - #### INSERTION

          public static final IRI INSERTION

      prov:Insertion

    - #### INSTANTANEOUS_EVENT

          public static final IRI INSTANTANEOUS_EVENT

      prov:InstantaneousEvent

    - #### INVALIDATION

          public static final IRI INVALIDATION

      prov:Invalidation

    - #### KEY_ENTITY_PAIR

          public static final IRI KEY_ENTITY_PAIR

      prov:KeyEntityPair

    - #### LOCATION

          public static final IRI LOCATION

      prov:Location

    - #### MODIFY

          public static final IRI MODIFY

      prov:Modify

    - #### ORGANIZATION

          public static final IRI ORGANIZATION

      prov:Organization

    - #### PERSON

          public static final IRI PERSON

      prov:Person

    - #### PLAN

          public static final IRI PLAN

      prov:Plan

    - #### PRIMARY_SOURCE

          public static final IRI PRIMARY_SOURCE

      prov:PrimarySource

    - #### PUBLISH

          public static final IRI PUBLISH

      prov:Publish

    - #### PUBLISHER

          public static final IRI PUBLISHER

      prov:Publisher

    - #### QUOTATION

          public static final IRI QUOTATION

      prov:Quotation

    - #### REMOVAL

          public static final IRI REMOVAL

      prov:Removal

    - #### REPLACE

          public static final IRI REPLACE

      prov:Replace

    - #### REVISION

          public static final IRI REVISION

      prov:Revision

    - #### RIGHTS_ASSIGNMENT

          public static final IRI RIGHTS_ASSIGNMENT

      prov:RightsAssignment

    - #### RIGHTS_HOLDER

          public static final IRI RIGHTS_HOLDER

      prov:RightsHolder

    - #### ROLE

          public static final IRI ROLE

      prov:Role

    - #### SERVICE_DESCRIPTION

          public static final IRI SERVICE_DESCRIPTION

      prov:ServiceDescription

    - #### SOFTWARE_AGENT

          public static final IRI SOFTWARE_AGENT

      prov:SoftwareAgent

    - #### START

          public static final IRI START

      prov:Start

    - #### SUBMIT

          public static final IRI SUBMIT

      prov:Submit

    - #### USAGE

          public static final IRI USAGE

      prov:Usage

    - #### ACTED_ON_BEHALF_OF

          public static final IRI ACTED_ON_BEHALF_OF

      prov:actedOnBehalfOf

    - #### ACTIVITY_PROP

          public static final IRI ACTIVITY_PROP

      prov:activity

    - #### AGENT_PROP

          public static final IRI AGENT_PROP

      prov:agent

    - #### ALTERNATE_OF

          public static final IRI ALTERNATE_OF

      prov:alternateOf

    - #### AS_IN_BUNDLE

          public static final IRI AS_IN_BUNDLE

      prov:asInBundle

    - #### AT_LOCATION

          public static final IRI AT_LOCATION

      prov:atLocation

    - #### AT_TIME

          public static final IRI AT_TIME

      prov:atTime

    - #### DERIVED_BY_INSERTION_FROM

          public static final IRI DERIVED_BY_INSERTION_FROM

      prov:derivedByInsertionFrom

    - #### DERIVED_BY_REMOVAL_FROM

          public static final IRI DERIVED_BY_REMOVAL_FROM

      prov:derivedByRemovalFrom

    - #### DESCRIBES_SERVICE

          public static final IRI DESCRIBES_SERVICE

      prov:describesService

    - #### DICTIONARY_PROP

          public static final IRI DICTIONARY_PROP

      prov:dictionary

    - #### ENDED_AT_TIME

          public static final IRI ENDED_AT_TIME

      prov:endedAtTime

    - #### ENTITY_PROP

          public static final IRI ENTITY_PROP

      prov:entity

    - #### GENERATED

          public static final IRI GENERATED

      prov:generated

    - #### GENERATED_AT_TIME

          public static final IRI GENERATED_AT_TIME

      prov:generatedAtTime

    - #### HAD_ACTIVITY

          public static final IRI HAD_ACTIVITY

      prov:hadActivity

    - #### HAD_DICTIONARY_MEMBER

          public static final IRI HAD_DICTIONARY_MEMBER

      prov:hadDictionaryMember

    - #### HAD_GENERATION

          public static final IRI HAD_GENERATION

      prov:hadGeneration

    - #### HAD_MEMBER

          public static final IRI HAD_MEMBER

      prov:hadMember

    - #### HAD_PLAN

          public static final IRI HAD_PLAN

      prov:hadPlan

    - #### HAD_PRIMARY_SOURCE

          public static final IRI HAD_PRIMARY_SOURCE

      prov:hadPrimarySource

    - #### HAD_ROLE

          public static final IRI HAD_ROLE

      prov:hadRole

    - #### HAD_USAGE

          public static final IRI HAD_USAGE

      prov:hadUsage

    - #### HAS_ANCHOR

          public static final IRI HAS_ANCHOR

      prov:has_anchor

    - #### HAS_PROVENANCE

          public static final IRI HAS_PROVENANCE

      prov:has_provenance

    - #### HAS_QUERY_SERVICE

          public static final IRI HAS_QUERY_SERVICE

      prov:has_query_service

    - #### INFLUENCED

          public static final IRI INFLUENCED

      prov:influenced

    - #### INFLUENCER

          public static final IRI INFLUENCER

      prov:influencer

    - #### INSERTED_KEY_ENTITY_PAIR

          public static final IRI INSERTED_KEY_ENTITY_PAIR

      prov:insertedKeyEntityPair

    - #### INVALIDATED

          public static final IRI INVALIDATED

      prov:invalidated

    - #### INVALIDATED_AT_TIME

          public static final IRI INVALIDATED_AT_TIME

      prov:invalidatedAtTime

    - #### MENTION_OF

          public static final IRI MENTION_OF

      prov:mentionOf

    - #### PAIR_ENTITY

          public static final IRI PAIR_ENTITY

      prov:pairEntity

    - #### PAIR_KEY

          public static final IRI PAIR_KEY

      prov:pairKey

    - #### PINGBACK

          public static final IRI PINGBACK

      prov:pingback

    - #### PROVENANCE_URI_TEMPLATE

          public static final IRI PROVENANCE_URI_TEMPLATE

      prov:provenanceUriTemplate

    - #### QUALIFIED_ASSOCIATION

          public static final IRI QUALIFIED_ASSOCIATION

      prov:qualifiedAssociation

    - #### QUALIFIED_ATTRIBUTION

          public static final IRI QUALIFIED_ATTRIBUTION

      prov:qualifiedAttribution

    - #### QUALIFIED_COMMUNICATION

          public static final IRI QUALIFIED_COMMUNICATION

      prov:qualifiedCommunication

    - #### QUALIFIED_DELEGATION

          public static final IRI QUALIFIED_DELEGATION

      prov:qualifiedDelegation

    - #### QUALIFIED_DERIVATION

          public static final IRI QUALIFIED_DERIVATION

      prov:qualifiedDerivation

    - #### QUALIFIED_END

          public static final IRI QUALIFIED_END

      prov:qualifiedEnd

    - #### QUALIFIED_GENERATION

          public static final IRI QUALIFIED_GENERATION

      prov:qualifiedGeneration

    - #### QUALIFIED_INFLUENCE

          public static final IRI QUALIFIED_INFLUENCE

      prov:qualifiedInfluence

    - #### QUALIFIED_INSERTION

          public static final IRI QUALIFIED_INSERTION

      prov:qualifiedInsertion

    - #### QUALIFIED_INVALIDATION

          public static final IRI QUALIFIED_INVALIDATION

      prov:qualifiedInvalidation

    - #### QUALIFIED_PRIMARY_SOURCE

          public static final IRI QUALIFIED_PRIMARY_SOURCE

      prov:qualifiedPrimarySource

    - #### QUALIFIED_QUOTATION

          public static final IRI QUALIFIED_QUOTATION

      prov:qualifiedQuotation

    - #### QUALIFIED_REMOVAL

          public static final IRI QUALIFIED_REMOVAL

      prov:qualifiedRemoval

    - #### QUALIFIED_REVISION

          public static final IRI QUALIFIED_REVISION

      prov:qualifiedRevision

    - #### QUALIFIED_START

          public static final IRI QUALIFIED_START

      prov:qualifiedStart

    - #### QUALIFIED_USAGE

          public static final IRI QUALIFIED_USAGE

      prov:qualifiedUsage

    - #### REMOVED_KEY

          public static final IRI REMOVED_KEY

      prov:removedKey

    - #### SPECIALIZATION_OF

          public static final IRI SPECIALIZATION_OF

      prov:specializationOf

    - #### STARTED_AT_TIME

          public static final IRI STARTED_AT_TIME

      prov:startedAtTime

    - #### USED

          public static final IRI USED

      prov:used

    - #### VALUE

          public static final IRI VALUE

      prov:value

    - #### WAS_ASSOCIATED_WITH

          public static final IRI WAS_ASSOCIATED_WITH

      prov:wasAssociatedWith

    - #### WAS_ATTRIBUTED_TO

          public static final IRI WAS_ATTRIBUTED_TO

      prov:wasAttributedTo

    - #### WAS_DERIVED_FROM

          public static final IRI WAS_DERIVED_FROM

      prov:wasDerivedFrom

    - #### WAS_ENDED_BY

          public static final IRI WAS_ENDED_BY

      prov:wasEndedBy

    - #### WAS_GENERATED_BY

          public static final IRI WAS_GENERATED_BY

      prov:wasGeneratedBy

    - #### WAS_INFLUENCED_BY

          public static final IRI WAS_INFLUENCED_BY

      prov:wasInfluencedBy

    - #### WAS_INFORMED_BY

          public static final IRI WAS_INFORMED_BY

      prov:wasInformedBy

    - #### WAS_INVALIDATED_BY

          public static final IRI WAS_INVALIDATED_BY

      prov:wasInvalidatedBy

    - #### WAS_QUOTED_FROM

          public static final IRI WAS_QUOTED_FROM

      prov:wasQuotedFrom

    - #### WAS_REVISION_OF

          public static final IRI WAS_REVISION_OF

      prov:wasRevisionOf

    - #### WAS_STARTED_BY

          public static final IRI WAS_STARTED_BY

      prov:wasStartedBy

  - ### Constructor Detail

    - #### PROV

          public PROV()